%define	snap	20071220

Summary:	H.323 call generator
Name:		callgen323
Version:	2.0.0
Release:	%mkrel 0.%{snap}.3
License:	MPL
Group:		Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://openh323.sourceforge.net/
Source0:	%{name}-%{snap}.tar.lzma
Patch0:		callgen323-2.0.0-mak.patch
BuildRequires:	opal3-devel
BuildRequires:	ptlib-devel
Conflicts:	vpb-devel

%description
This is a very basic H.323 call generator.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .mak

# BOOL is apparently a method signature now. Make it
# bool instead. Same fix is used in openh323gk upstream.
# - AdamW 2007/12
sed -i -e 's,BOOL,bool,g' *

%build
export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"

%make \
    OPTCCFLAGS="%{optflags}" \
    PWLIBDIR=%{_datadir}/ptlib \
    OPALDIR=%{_prefix} \
    OPAL_INCDIR=%{_includedir}/opal \
    OPAL_LIBDIR=%{_libdir} \
    PREFIX=%{_prefix} \
    PWLIB_BUILD=1 \
    optshared \

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -m0755 obj_*/%{name} %{buildroot}%{_bindir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ReadMe.txt
%attr(0755,root,root) %{_bindir}/*



%changelog
* Thu Feb 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.0-0.20071220.3mdv2009.0
+ Revision: 167830
- fix no-buildroot-tag

* Mon Dec 31 2007 Adam Williamson <awilliamson@mandriva.com> 2.0.0-0.20071220.3mdv2008.1
+ Revision: 139746
- buildrequires opal3-devel now we have dual opals

* Tue Dec 25 2007 Adam Williamson <awilliamson@mandriva.com> 2.0.0-0.20071220.2mdv2008.1
+ Revision: 137739
- replace BOOL with bool to fix an upstream change in opal / h323plus
- restore explicit ptlib-devel dependency temporarily while opal can still be satisfied by pwlib...
- no explicit buildrequires on ptlib needed, opal depends on it
- rebuild for new opal

* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.com> 2.0.0-0.20071220.1mdv2008.1
+ Revision: 136134
- define OPAL_LIBDIR (to fix build on x86-64)
- bit more cleanup, sync the patch
- rebuild for new era and against new expat (cleaning expat0 dependencies)
- now builds against opal, adjust buildrequires, build settings and patch
- new CVS snapshot (still using openh323 side of the fork, not H323plus)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel


* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20050322.4mdk
- rebuilt against openssl-0.9.8a"

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20050322.3mdk
- rebuild

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.20050322.2mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Tue Mar 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.0-0.20050322.1mdk
- initial package

